Bug 105025 - RAID5 Setup error.
RAID5 Setup error.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: raidtools (Show other bugs)
3.0
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-24 15:21 EDT by Sridhar Talluri
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-16 14:44:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sridhar Talluri 2003-09-24 15:21:24 EDT
Hi,
Running  2.4.21-1.1931.2.399.ent #1 SMP Wed Aug 20 15:23:46 EDT 2003 s390x 
s390x s390x GNU/Linux .
Attemting to setup a RAID5 device.
My raidtab configuration...in /etc/raidtab
raiddev /dev/md0
    raid-level                5
    nr-raid-disks             3
    nr-spare-disks            0
    persistent-superblock     1
    chunk-size                128

    device                    /dev/dasdc
    raid-disk                 0
    device                    /dev/dasdd
    raid-disk                 1
    device                    /dev/dasde
    raid-disk                 2

- Ran mkraid with the configuration.
[root@rh64b1 log]# mkraid /dev/md0
handling MD device /dev/md0
analyzing super-block
disk 0: /dev/dasdc, 2404080kB, raid superblock at 2403968kB
disk 1: /dev/dasdd, 2404080kB, raid superblock at 2403968kB
disk 2: /dev/dasde, 2404080kB, raid superblock at 2403968kB

which also started the below process on my system.
root      1976     1  0 15:10 ?        00:00:00 [raid5d] 
- Ran mk2fs ..
root@rh64b1 log]# mke2fs -b 4096 -R stride=32 /dev/md0
mke2fs 1.32 (09-Nov-2002)
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
601472 inodes, 1201984 blocks
60099 blocks (5.00%) reserved for the super user
First data block=0
37 block groups
32768 blocks per group, 32768 fragments per group
16256 inodes per group
Superblock backups stored on blocks:
        32768, 98304, 163840, 229376, 294912, 819200, 884736

Writing inode tables: done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 37 mounts or
180 days, whichever comes first.  Use tune2fs -c or -i to override.
[root@rh64b1 log]#

- Now upon mount gives me the following error.
[root@rh64b1 log]# mount -t ext2 /dev/md0 /raid
mount: wrong fs type, bad option, bad superblock on /dev/md0,
       or too many mounted file systems
[root@rh64b1 log]#

[root@rh64b1 log]# mount -t ext3 /dev/md0 /raid
mount: wrong fs type, bad option, bad superblock on /dev/md0,
       or too many mounted file systems
[root@rh64b1 log]#

- Am I missing something here..? 

-Sri.
Comment 1 Pete Zaitcev 2003-09-24 16:11:32 EDT
So, what happens if you do e2fsck /dev/md0 ?
Also, please provide contents of /dev/mdstat.
Comment 2 Sridhar Talluri 2003-09-24 16:19:53 EDT
Hi,

[root@rh64b1 root]# e2fsck /dev/md0
e2fsck 1.32 (09-Nov-2002)
Couldn't find ext2 superblock, trying backup blocks...
/dev/md0 was not cleanly unmounted, check forced.
Pass 1: Checking inodes, blocks, and sizes
Pass 2: Checking directory structure
Pass 3: Checking directory connectivity
Pass 4: Checking reference counts
Pass 5: Checking group summary information

/dev/md0: ***** FILE SYSTEM WAS MODIFIED *****
/dev/md0: 11/601472 files (0.0% non-contiguous), 18891/1201984 blocks
[root@rh64b1 root]#

[root@rh64b1 root]# cat /proc/mdstat
Personalities : [raid5]
read_ahead 1024 sectors
md0 : active raid5 dasde[2] dasdd[1] dasdc[0]
      4807936 blocks level 5, 128k chunk, algorithm 0 [3/3] [UUU]

unused devices: <none>
[root@rh64b1 root]#


- Sri.
Comment 3 Sridhar Talluri 2003-10-15 13:57:59 EDT
Hi..
I tried RAID with 
Linux rh64b1.pdl.pok.ibm.com 2.4.21-4.EL #1 SMP Fri Oct 3 17:30:41 EDT 2003 
s390x s390x s390x GNU/Linux
and it works!!!!
Can close the problem
-Sri.

Note You need to log in before you can comment on or make changes to this bug.